.table__container {
  width: 100%;
  border-collapse: collapse;
}

.table__header,
.table__values,
.table__action {
  border: 1px solid #ccc;
  padding: 8px;
  text-align: left;
}

.table__text__ellipsis {
  max-width: 20rem;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.table__action {
  background-color: #f2f2f2;
}

.table__header {
  cursor: pointer;
  background-color: #f2f2f2;
  transition: 0.3s ease-in-out;
}

.table__header:hover {
  background-color: #ddd;
}

.table__sort {
  font-weight: bold;
  font-size: 1.8rem;
  margin-left: 0.5rem;
}

.table__action__edit,
.table__action__del {
  cursor: pointer;
  padding: 5px 1rem;
  margin-right: 5px;
  font-size: 1.2rem;
}

.table__action__edit {
  background-color: #4caf50;
  color: white;
  border: none;
}

.table__action__del {
  background-color: #f44336;
  color: white;
  border: none;
}

.empty__data {
  margin: 2rem 0;
  text-align: center;
}
